Subject: [lp-wan] I-D Action: draft-ietf-lpwan-ipv6-static-context-hc-07.txt

From: [email-masked]
Date: Fri, 20 Oct 2017 10:16:20 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 over Low Power Wide-Area Networks WG of the IETF.

        Title           : LPWAN Static Context Header Compression (SCHC) and fragmentation for IPv6 and UDP
        Authors         : Ana Minaburo
                          Laurent Toutain
                          Carles Gomez
	Filename        : draft-ietf-lpwan-ipv6-static-context-hc-07.txt
	Pages           : 51
	Date            : 2017-10-20

Abstract:
   This document describes a header compression scheme and fragmentation
   functionality for very low bandwidth networks.  These techniques are
   specially tailored for LPWAN (Low Power Wide Area Network) networks.

   The Static Context Header Compression (SCHC) offers a great level of
   flexibility when processing the header fields.  SCHC compression is
   based on a common static context stored in a LPWAN device and in the
   network.  Static context means that the stored information does not
   change during the packet transmission.  The context describes the
   field values and keeps information that will not be transmitted
   through the constrained network.

   SCHC must be used for LPWAN networks because it avoids complex
   resynchronization mechanisms, which are incompatible with LPWAN
   characteristics.  And also because in most cases, IPv6/UDP headers
   are reduced to a small identifier called Rule ID.  Eventhough
   sometimes, a SCHC compressed packet will not fit in one L2 PDU, and
   the SCHC fragmentation protocol will be used.  The SCHC fragmentation
   and reassembly mechanism is used in two situations: for SCHC-
   compressed packets that still exceed the L2 PDU size; and for the
   case where the SCHC compression cannot be performed.

   This document describes the SCHC compression/decompression framework
   and applies it to IPv6/UDP headers.  This document also specifies a
   fragmentation and reassembly mechanism that is used to support the
   IPv6 MTU requirement over LPWAN technologies.  Fragmentation is
   mandatory for IPv6 datagrams that, after SCHC compression or when it
   has not been possible to apply such compression, still exceed the L2
   maximum payload size.  Similar solutions for other protocols such as
   CoAP will be described in separate documents.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lpwan-ipv6-static-context-hc/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lpwan-ipv6-static-context-hc-07
https://datatracker.ietf.org/doc/html/draft-ietf-lpwan-ipv6-static-context-hc-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lpwan-ipv6-static-context-hc-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Ana Minaburo <[email-masked]>
Date: Fri, 20 Oct 2017 19:20:02 +0200

Hello,

Here you will find a new version of the draft SCHC, I tried to simplify many descriptions of the fragmentation part, there is a big thing to finish for the bitmap and abort I will continue working on this.

The most important is to see the differences and the state machines 

See you 

Ana

Ana Minaburo

Research Division

Phone: +33 (0)2.99.12.24.14
ana at ackl.io

2 bis rue de la Châtaigneraie
35510 Cesson-Sévigné 
France 

www.acklio.com

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: [lp-wan] I-D Action: draft-ietf-lpwan-ipv6-static-context-hc-07.txt
> Date: 20 October 2017 at 19:16:20 GMT+2
> To: <[email-masked]>
> Cc: [email-masked]
> 
> 
> _______________________________________________
> lp-wan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lp-wan